Bug 1119805 - The jboss-ejb3-spec-2_0.xsd file is missing from http://www.jboss.org/j2ee/schema/
Summary: The jboss-ejb3-spec-2_0.xsd file is missing from http://www.jboss.org/j2ee/sc...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: distribution
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: EAP 6.3.0
Assignee: sgilda
QA Contact: Katerina Odabasi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 14:46 UTC by sgilda
Modified: 2019-04-16 14:14 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 14:39:51 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-3189 Major Closed Error validating jboss-ejb3.xml. 2018-01-16 11:17:01 UTC

Description sgilda 2014-07-15 14:46:54 UTC
Description of problem:

The jboss-ejb3-spec-2_0.xsd file is missing from jboss.org.

The source for the jboss-ejb3-spec-2_0.xsd file is located here:

https://github.com/jboss/metadata/blob/master/ejb/src/main/resources/schema/jboss-ejb3-spec-2_0.xsd

It should be added to http://www.jboss.org/j2ee/schema/ 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 sgilda 2014-07-15 14:51:18 UTC
This bug was originally reported by Carlo against this bug: https://bugzilla.redhat.com/show_bug.cgi?id=871333

Comment 3 sgilda 2014-07-15 17:01:00 UTC
Per Carlo, this bug should be assigned to the 'distribution' component. However, I will continue to follow through.

Comment 4 sgilda 2014-07-17 11:41:40 UTC
The engineering ticket has now been resolved. 

The XSD is now on jboss.org here:

http://www.jboss.org/j2ee/schema/jboss-ejb3-spec-2_0.xsd

Comment 5 Jan Martiska 2014-07-23 13:21:39 UTC
Verified!

Comment 6 JBoss JIRA Server 2014-09-24 17:48:51 UTC
David Lloyd <david.lloyd@redhat.com> updated the status of jira WFLY-3189 to Reopened

Comment 7 JBoss JIRA Server 2014-09-24 17:49:34 UTC
David Lloyd <david.lloyd@redhat.com> updated the status of jira WFLY-3189 to Resolved


Note You need to log in before you can comment on or make changes to this bug.